#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.4
visibility:           public
id:                   http-client-restricted-0.0.4-E0Bs6D0zfYi5jT3nzsxG3Q
key:                  http-client-restricted-0.0.4-E0Bs6D0zfYi5jT3nzsxG3Q
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  943a18e4fc7e37e6d6c76fda2b8846d2
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.1/site-local/http-client-restricted-0.0.4
library-dirs:         /usr/lib/ghc-9.0.1/site-local/http-client-restricted-0.0.4
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/http-client-restricted-0.0.4

hs-libraries:         HShttp-client-restricted-0.0.4-E0Bs6D0zfYi5jT3nzsxG3Q
depends:
    base-4.15.0.0 connection-0.3.1-1fUuXliU4JmH69tNL35Iqw
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn
    http-client-0.7.9-7JRGH3uCV1nE8UOq2JPnAI
    http-client-tls-0.3.5.3-BXBQCQaJMOf9fN6OFI40rA
    network-3.1.2.5-G1eUSsEvU7HJvhh4H9urei
    network-bsd-2.8.1.0-AlRuaBTketHLYU6mnPFjOd
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

